using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class LevelLimitTrigger : MonoBehaviour
{
    private ChainRopeView m_chainRopeView;
    private bool m_bControl = true;
    private void Start()
    {
        m_chainRopeView = BattleCtrl.instance.levelManager.curLevel.chainRopeView;
    }
    private void OnTriggerEnter(Collider other)
    {
        if (other.gameObject.CompareTag("Target") && !m_chainRopeView.IsCatch && m_bControl)
        {
            m_bControl = false;
            BattleCtrl.instance.OnBattleFail();
        }
    }
}
